*create a weights file for each unit of analysis.
get file = 'C:\MICS\SPSS\weight\weights.sav'.

sort cases by HH1.

save outfile = 'hhwgt.sav'
  /keep HH1 HHWGTN HHWGTU5 HHWGTWM.

save outfile = 'hlwgt.sav'
  /keep HH1 HHWGTN HHWGTU5 HHWGTWM.

save outfile = 'wmwgt.sav'
  /keep HH1 WMWGTN WMWGTU5 WMWGTWM.

save outfile = 'chwgt.sav'
  /keep HH1 CHWGTN CHWGTU5 CHWGTWM.


*add household weights to the household file.
get file = 'hh.sav'.

sort cases by HH1.

delete var hhweight.

match files
  /file = *
  /table = 'hhwgt.sav'
  /by HH1.

recode ind (1=1)(else=0) into u5sample.

if (u5sample = 0) HHWEIGHT = HHWGTN.
if (u5sample = 1) HHWEIGHT = HHWGTU5.
if (u5sample = 2) HHWEIGHT = HHWGTWM.
if (HH9 <> 1) HHWEIGHT = 0.
variable label HHWEIGHT 'Household sample weight'.
format HHWEIGHT (f9.6).

execute.
delete variables HHWGTN HHWGTU5 HHWGTWM u5sample.

save outfile = 'hh.sav'.

*add household weights to the household listing file.
get file = 'hl.sav'.

sort cases by HH1.

delete var hhweight.

match files
  /file = *
  /table = 'hlwgt.sav'
  /by HH1.

recode ind (1=1)(else=0) into u5sample.

if (u5sample = 0) HHWEIGHT = HHWGTN.
if (u5sample = 1) HHWEIGHT = HHWGTU5.
if (u5sample = 2) HHWEIGHT = HHWGTWM.
if (HH9 <> 1) HHWEIGHT = 0.
variable label HHWEIGHT 'Household sample weight'.
format HHWEIGHT (f9.6).

execute.
delete variables HHWGTN HHWGTU5 HHWGTWM u5sample.

save outfile = 'hl.sav'.


*add women's weights to the women file.
get file = 'wm.sav'.

sort cases by HH1.

delete var wmweight.

match files
  /file = *
  /table = 'wmwgt.sav'
  /by HH1.

recode ind (1=1)(else=0) into u5sample.

if (u5sample = 0) WMWEIGHT = WMWGTN.
if (u5sample = 1) WMWEIGHT = WMWGTU5.
if (u5sample = 2) WMWEIGHT = WMWGTWM.
if (WM7 <> 1) WMWEIGHT = 0.
variable label WMWEIGHT "Women's sample weight".
format WMWEIGHT (f9.6).

execute.
delete variables WMWGTN WMWGTU5 WMWGTWM u5sample.

save outfile = 'wm.sav'.


*add children's weights to the children file.
get file = 'ch.sav'.

sort cases by HH1.

delete var chweight.

match files
  /file = *
  /table = 'chwgt.sav'
  /by HH1.

recode ind (1=1)(else=0) into u5sample.

if (u5sample = 0) CHWEIGHT = CHWGTN.
if (u5sample = 1) CHWEIGHT = CHWGTU5.
if (u5sample = 2) CHWEIGHT = CHWGTWM.
if (UF9 <> 1) CHWEIGHT = 0.
variable label CHWEIGHT "Children's sample weight".
format CHWEIGHT (f9.6).

execute.
delete variables CHWGTN CHWGTU5 CHWGTWM u5sample.

save outfile = 'ch.sav'.

*delete working files.
new file.
erase file = 'hhwgt.sav'.
erase file = 'hlwgt.sav'.
erase file = 'wmwgt.sav'.
erase file = 'chwgt.sav'.


