get file = 'C:\MICS\SPSS\hh.sav'.

*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change 4 below to n.
* compute stratum = (hh6-1)*4 + hh7.
* Strata define by region
* compute stratum = HH7.
compute stratum = roma*100 + hh6*10 + hh7.
format stratum (F3.0).

compute u5sample = ind.
recode u5sample (2=0).
variable label u5sample "Under five children sample".

compute clust = 1.
if (hh1 = lag(hh1,1)) clust = 0.
variable label clust "Clusters completed".


compute hhsel = 0.
if (hh2 <= 15) hhsel = 1.
variable label hhsel "Cluster: households selected".

compute hhselu5 = 0.
if (hh2 <= 15 & u5sample = 1) hhselu5 = 1.
variable label hhselu5 "Cluster: households selected - U5 sample".

compute hhselwm = 0.
if (hh2 <= 15 & u5sample = 2) hhselwm = 1.
variable label hhselwm "Cluster: households selected - WM sample".

compute hhseln5 = 0.
if (hh2 <= 15 & u5sample = 0) hhseln5 = 1.
variable label hhseln5 "Cluster: households selected - Non-U5 sample".


compute hhfnd = 0.
if (hh9 <> 4) hhfnd = 1.
variable label hhfnd "Cluster: households found".

compute hhfndu5 = 0.
if (hh9 <> 4 and u5sample = 1) hhfndu5 = 1.
variable label hhfndu5 "Cluster: households found - U5 sample".

compute hhfndwm = 0.
if (hh9 <> 4 and u5sample = 2) hhfndwm = 1.
variable label hhfndwm "Cluster: households found - WM sample".

compute hhfndn5 = 0.
if (hh9 <> 4 and u5sample = 0) hhfndn5 = 1.
variable label hhfndn5 "Cluster: households found - Non-U5 sample".


compute hhcomp = 0.
if (hh9 = 1) hhcomp = 1.
variable label hhcomp "Cluster: households completed".

compute hhcompu5 = 0.
if (hh9 = 1 and u5sample = 1) hhcompu5 = 1.
variable label hhcompu5 "Cluster: households completed - U5 sample".

compute hhcompwm = 0.
if (hh9 = 1 and u5sample = 2) hhcompwm = 1.
variable label hhcompwm "Cluster: households completed - WM sample".

compute hhcompn5 = 0.
if (hh9 = 1 and u5sample = 0) hhcompn5 = 1.
variable label hhcompn5 "Cluster: households completed - Non-U5 sample".


compute wmu5 = 0.
if (u5sample = 1) wmu5 = hh12.
variable label wmu5 "Cluster: women eligible - U5 sample".

compute wmn5 = 0.
if (u5sample = 0) wmn5 = hh12.
variable label wmn5 "Cluster: women eligible - Non-U5 sample".

compute wmwm = 0.
if (u5sample = 2) wmwm = hh12.
variable label wmwm "Cluster: women eligible - WM sample".


compute wmcompu5 = 0.
if (u5sample = 1) wmcompu5 = hh13.
variable label wmcompu5 "Cluster: women completed - U5 sample".

compute wmcompn5 = 0.
if (u5sample = 0) wmcompn5 = hh13.
variable label wmcompn5 "Cluster: women completed - Non-U5 sample".

compute wmcompwm = 0.
if (u5sample = 2) wmcompwm = hh13.
variable label wmcompwm "Cluster: women completed - WM sample".


compute chu5 = 0.
if (u5sample = 1) chu5 = hh14.
variable label chu5 "Cluster: children eligible - U5 sample".

compute chn5 = 0.
if (u5sample = 0) chn5 = hh14.
variable label chn5 "Cluster: children eligible - Non-U5 sample".

compute chwm = 0.
if (u5sample = 2) chwm = hh14.
variable label chwm "Cluster: children eligible - WM sample".


compute chcompu5 = 0.
if (u5sample = 1) chcompu5 = hh15.
variable label chcompu5 "Cluster: children completed - U5 sample".

compute chcompn5 = 0.
if (u5sample = 0) chcompn5 = hh15.
variable label chcompn5 "Cluster: children completed - Non-U5 sample".

compute chcompwm = 0.
if (u5sample = 2) chcompwm = hh15.
variable label chcompwm "Cluster: children completed - WM sample".


aggregate outfile = 'tmp.sav'
  /break   = stratum
  /stclust   = sum(clust)
  /sthhsel   = sum(hhsel)
  /sthhselu  = sum(hhselu5)
  /sthhselw  = sum(hhselwm)
  /sthhseln  = sum(hhseln5)
  /sthhfnd   = sum(hhfnd)
  /sthhfndu  = sum(hhfndu5)
  /sthhfndw  = sum(hhfndwm)
  /sthhfndn  = sum(hhfndn5)
  /sthhcomp  = sum(hhcomp)
  /sthhcu5  = sum(hhcompu5)
  /sthhcwm  = sum(hhcompwm)
  /sthhcn5  = sum(hhcompn5)
  /sthh12    = sum(hh12)
  /sthh12u5  = sum(wmu5)
  /sthh12wm  = sum(wmwm)
  /sthh12n5  = sum(wmn5)
  /sthh13    = sum(hh13)
  /sthh13u5    = sum(wmcompu5)
  /sthh13wm    = sum(wmcompwm)
  /sthh13n5    = sum(wmcompn5)
  /sthh14    = sum(hh14)
  /sthh14u5  = sum(chu5)
  /sthh14wm  = sum(chwm)
  /sthh14n5  = sum(chn5)
  /sthh15    = sum(hh15)
  /sthh15u5    = sum(chcompu5)
  /sthh15wm    = sum(chcompwm)
  /sthh15n5    = sum(chcompn5).

sort cases by stratum.

match files
  /file = *
  /table = 'tmp.sav'
  /by stratum.

variable labels
  stclust   "Strata: clusters completed"
  /sthhsel  "Strata: households selected"
  /sthhselu  "Strata: households selected - U5 sample"
  /sthhselw  "Strata: households selected - WM sample"
  /sthhseln  "Strata: households selected - non-U5 sample"
  /sthhfnd  "Strata: households found"
  /sthhfndu  "Strata: households found - U5 sample"
  /sthhfndw  "Strata: households found - WM sample"
  /sthhfndn  "Strata: households found - non-U5 sample"
  /sthhcomp "Strata: households completed"
  /sthhcu5  "Strata: households completed - U5 sample"
  /sthhcwm  "Strata: households completed - WM sample"
  /sthhcn5  "Strata: households completed - Non-U5 sample"
  /sthh12   "Strata: eligible women"
  /sthh12u5   "Strata: eligible women - U5 sample"
  /sthh12wm   "Strata: eligible women - WM sample"
  /sthh12n5   "Strata: eligible women - Non-U5 sample"
  /sthh13   "Strata: interviewed women"
  /sthh13u5   "Strata: interviewed women - U5 sample"
  /sthh13wm   "Strata: interviewed women - WM sample"
  /sthh13n5   "Strata: interviewed women - Non-U5 sample"
  /hh13     "Cluster: interviewed women"
  /sthh14   "Strata: eligible children"
  /sthh14u5   "Strata: eligible children - U5 sample"
  /sthh14wm   "Strata: eligible children - WM sample"
  /sthh14n5   "Strata: eligible children - Non-U5 sample"
  /sthh15   "Strata: interviewed children"
  /sthh15u5   "Strata: eligible children - U5 sample"
  /sthh15wm   "Strata: eligible children - WM sample"
  /sthh15n5   "Strata: eligible children - Non-U5 sample"
  /hh15     "Cluster: interviewed children"
.

tables
  /observation = stratum stclust hhselu5 hhselwm hhseln5 sthhfndu sthhfndw sthhfndn sthhcu5 sthhcwm sthhcn5 hhcompu5 hhcompwm hhcompn5 
                       sthh12u5 sthh12wm sthh12n5 sthh13u5 sthh13wm sthh13n5 wmcompu5 wmcompwm wmcompn5 
                       sthh14u5 sthh14wm sthh14n5 sthh15u5 sthh15wm sthh15n5 chcompu5 chcompwm chcompn5
  /tables = hh1 by stratum + stclust + hhselu5 + hhselwm + hhseln5 + sthhfndu + sthhfndw + sthhfndn + sthhcu5 + sthhcwm + sthhcn5 + hhcompu5 + hhcompwm + hhcompn5 + 
               sthh12u5 + sthh12wm + sthh12n5 + sthh13u5 + sthh13wm + sthh13n5 + wmcompu5 + wmcompwm + wmcompn5 + 
               sthh14u5 + sthh14wm + sthh14n5 + sthh15u5 + sthh15wm + sthh15n5 + chcompu5 + chcompwm + chcompn5
  /statistics
    mean(stratum(F5.0) '')
    mean(stclust (F5.0) '')
    sum(hhselu5 (F5.0) '')
    sum(hhselwm (F5.0) '')
    sum(hhseln5 (F5.0) '')
    mean(sthhfndu (F5.0) '')
    mean(sthhfndw (F5.0) '')
    mean(sthhfndn (F5.0) '')
    mean(sthhcu5 (F5.0) '')
    mean(sthhcwm (F5.0) '')
    mean(sthhcn5 (F5.0) '')
    sum(hhcompu5 (F5.0) '')
    sum(hhcompwm (F5.0) '')
    sum(hhcompn5 (F5.0) '')
    mean(sthh12u5 (F5.0) '')
    mean(sthh12wm (F5.0) '')
    mean(sthh12n5 (F5.0) '')
    mean(sthh13u5 (F5.0) '')
    mean(sthh13wm (F5.0) '')
    mean(sthh13n5 (F5.0) '')
    sum(wmcompu5 (F5.0) '')
    sum(wmcompwm (F5.0) '')
    sum(wmcompn5 (F5.0) '')
    mean(sthh14u5 (F5.0) '')
    mean(sthh14wm (F5.0) '')
    mean(sthh14n5 (F5.0) '')
    mean(sthh15u5 (F5.0) '')
    mean(sthh15wm (F5.0) '')
    mean(sthh15n5 (F5.0) '')
    sum(chcompu5 (F5.0) '')
    sum(chcompwm (F5.0) '')
    sum(chcompn5 (F5.0) '')
  /title
    "Weight Tabulation".

new file.

erase file 'tmp.sav'.